org.mozilla.javascript

## Class NativeGlobal

- java.lang.Object
- - org.mozilla.javascript.NativeGlobal

All Implemented Interfaces:
  java.io.Serializable, IdFunctionCall

    public class NativeGlobal
    extends java.lang.Object
    implements java.io.Serializable, IdFunctionCall

This class implements the global native object (function and value properties only). See ECMA 15.1.[12].

Author:
  Mike Shaver
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`NativeGlobal()`

### Method Summary

Methods
`static EcmaError` `constructError(Context cx, java.lang.String error, java.lang.String message, Scriptable scope)` Deprecated. Use `ScriptRuntime.constructError(String,String)` instead.
`static EcmaError` `constructError(Context cx, java.lang.String error, java.lang.String message, Scriptable scope, java.lang.String sourceName, int lineNumber, int columnNumber, java.lang.String lineSource)` Deprecated. Use `ScriptRuntime.constructError(String,String,String,int,String,int)` instead.
`java.lang.Object` `execIdCall(IdFunctionObject f, Context cx, Scriptable scope, Scriptable thisObj, java.lang.Object[] args)` 'thisObj' will be null if invoked as constructor, in which case instance of Scriptable should be returned
`static void` `init(Context cx, Scriptable scope, boolean sealed)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NativeGlobal

    public NativeGlobal()

### Method Detail

#### init

    public static void init(Context cx,
            Scriptable scope,
            boolean sealed)

#### execIdCall

    public java.lang.Object execIdCall(IdFunctionObject f,
                              Context cx,
                              Scriptable scope,
                              Scriptable thisObj,
                              java.lang.Object[] args)

Description copied from interface: `IdFunctionCall`
'thisObj' will be null if invoked as constructor, in which case instance of Scriptable should be returned

Specified by:
  `execIdCall` in interface `IdFunctionCall`

#### constructError

    public static EcmaError constructError(Context cx,
                           java.lang.String error,
                           java.lang.String message,
                           Scriptable scope)

Deprecated. Use `ScriptRuntime.constructError(String,String)` instead.

#### constructError

    public static EcmaError constructError(Context cx,
                           java.lang.String error,
                           java.lang.String message,
                           Scriptable scope,
                           java.lang.String sourceName,
                           int lineNumber,
                           int columnNumber,
                           java.lang.String lineSource)

Deprecated. Use `ScriptRuntime.constructError(String,String,String,int,String,int)` instead.